## gentle 1.9%2Bcvs20100605%2Bdfsg1

=== debian/watch ===
version=4

# At the time of drafting this we would get
#    1.9+git20060619.172a741+dfsg-1
#opts="mode=git,pretty=1.9+git%cd.%h,repacksuffix=+dfsg,dversionmangle=s/\+dfsg\d*//g,repack,compression=xz" \
#    https://github.com/magnusmanske/gentle-m.git HEAD

# See issue https://github.com/magnusmanske/gentle-m/issues/1
# https://github.com/magnusmanske/gentle-m/releases .*/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

opts=dversionmangle=s/.*\+dfsg/0.No-Release/ \
https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz
