## gentle 1.9+cvs20100605+dfsg

=== debian/changelog ===
gentle (1.9+cvs20100605+dfsg-3) unstable; urgency=low

  * Updated policy to 3.9.2
  * Rebuilt against later versions of mysql and tinyxml libraries

 -- Steffen Moeller <moeller@debian.org>  Fri, 03 Jun 2011 21:12:05 +0200
 

gentle (1.9+cvs20100605+dfsg-2) unstable; urgency=low

  * Adding build-dependency to libmysqlclient-dev (Closes: #585891)
    and to libsqlite3-dev, libsqlite0-dev
  * Changed format to 3.0 (quilt), removed dependency to cdbs and quilt,
    simplified debian/rules accordingly.
  * improved get-orig-source to remove directory checked out

 -- Steffen Moeller <moeller@debian.org>  Tue, 15 Jun 2010 16:38:33 +0200

gentle (1.9+cvs20100605+dfsg-1) unstable; urgency=low

  * Reupload in reaction to ftp-masters comments (Closes: #582959)
  * removed tinyurl and clustalw from source tree for DFSG compatibility
    - which introduced dependency to quilt
    - and provoked +dfsg suffix to version (not fully correct, yet)
  * invoking automake, autoconf during build
    - added those to build-dependencies
    - removed upstream Makefile and Makefile.in from source
  * declared 1.0 source format
  * removed doc-base lintian warning
  * explicitly listing man page as such, now correctly named GENtle.1
  * prepared for eventually adding gentle-dbg
  * compilation successfullly tested against gcc-4.5
  * added help/* to package
  * reupload to unstable

 -- Steffen Moeller <moeller@debian.org>  Wed, 02 Jun 2010 12:07:21 +0200

gentle (1.9+cvs20100531-1) experimental; urgency=low

  * Initial release.

 -- Steffen Moeller <moeller@debian.org>  Tue, 25 May 2010 00:08:31 +0200
