=== debian/control ===
Source: gentle
Section: contrib/science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, libwxgtk2.8-dev, libtinyxml-dev, automake, autoconf, libmysqlclient-dev, libsqlite3-dev, libsqlite0-dev
Standards-Version: 3.9.2
Homepage: http://gentle.magnusmanske.de
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/gentle/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/gentle/trunk/

Package: gentle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: clustalw
Description: suite to plan genetic cloning
 GENtle is a software for DNA and amino acid editing, database management,
 plasmid maps, restriction and ligation, alignments, sequencer data
 import, calculators, gel image display, PCR, and much more.

#Package: gentle-dbg
#Architecture: any
#Depends: gentle, ${shlibs:Depends}, ${misc:Depends}
#Priority: extra
#Recommends: libtinyxml2.6.2-dbg|libtinyxml2.5.3-dbg
#Description: debug symbols for gentle suite for genetic cloning
# As every suite working with a series of independently developed
# programs, also GENtle tends to be perceived as rather complex.
# This package prepares users and developers to communicate
# over hunting and eliminating bugs.
#
# Why doesn't this work?
