=== debian/watch ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #    https://github.com/magnusmanske/gentle-m.git HEAD
 
 # See issue https://github.com/magnusmanske/gentle-m/issues/1
-# https://github.com/magnusmanske/gentle-m/releases .*/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
+# https://github.com/magnusmanske/gentle-m/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
 
 opts=dversionmangle=s/.*\+dfsg/0.No-Release/ \
 https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz
