## gentle 1.9.5~alpha1%2Bdfsg

=== debian/control ===
Source: gentle
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               default-libmysqlclient-dev,
               libsqlite3-dev,
               libtinyxml-dev,
               libwxgtk3.2-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/gentle
Vcs-Git: https://salsa.debian.org/med-team/gentle.git
Homepage: http://gentle.magnusmanske.de
Rules-Requires-Root: no

Package: gentle
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: clustalw
Suggests: xdg-utils
Description: suite to plan genetic cloning
 GENtle is a software for DNA and amino acid editing, database management,
 plasmid maps, restriction and ligation, alignments, sequencer data
 import, calculators, gel image display, PCR, and much more.
