## gentle 1.9.5~alpha1+dfsg

=== debian/changelog ===
gentle (1.9.5~alpha1+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:40:54 +0000

gentle (1.9.5~alpha1+dfsg-1build1) noble; urgency=high

  * No change rebuild against libwxbase3.2-1t64, libwxgtk3.2-1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:09:19 +0100

gentle (1.9.5~alpha1+dfsg-1) unstable; urgency=medium

  * Upstream accepted all our patches.
  * Many smallish bug fixes hinted by modern compilers that should improve
    stability.

 -- Steffen Moeller <moeller@debian.org>  Thu, 07 Sep 2023 16:18:05 +0200

gentle (1.9+cvs20100605+dfsg1-13) UNRELEASED; urgency=medium

  * Increased size of char[]s (factor 10) to
    - accomodate longer sequence lines and/or
    - avoid compiler warnings.
  * Now opening website with /usr/bin/open (provided e.g. by xdg-utils)
  * Update of upstream repository.

 -- Steffen Moeller <moeller@debian.org>  Mon, 31 Jul 2023 14:44:40 +0200

gentle (1.9+cvs20100605+dfsg1-12) unstable; urgency=medium

  * Added more patches to eradicate compiler warnings on font selection.
  * Restored order of patches in d/p/series -> new patches last.
  * Not showing modal dialog announcing read-in of markers.txt
  * Corrected for run-time checks by wxWidgets for wxEXPAND dominating other
    widget-orientation flags.

 -- Steffen Moeller <moeller@debian.org>  Sun, 30 Jul 2023 01:21:41 +0200

gentle (1.9+cvs20100605+dfsg1-11) unstable; urgency=medium

  * clang pointed to mismatch between dynamic allocations of arrays
    with new and omitted []s in corresponding delete (forwarded as PR#3)
  * Fixed prior unnoticed issues with operator precedence (forwarded as PR#4)
  * Standards-Version: 4.6.2

 -- Steffen Moeller <moeller@debian.org>  Sun, 29 Jul 2023 00:08:55 +0200
 

gentle (1.9+cvs20100605+dfsg1-10) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * transition to wxwidgets3.2
    Closes: #1019809
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.1 (routine-update)

  [ Scott Talbert ]
  * Patch for compatibility with wxWidgets 3.2

  [ Étienne Mollier ]
  * d/rules: convert tips_de.txt to utf8 for encoding consistency.
  * d/s/lintian-overrides: add; document false positive errors.

 -- Étienne Mollier <emollier@debian.org>  Fri, 16 Sep 2022 21:50:52 +0200
