=== debian/watch ===
version=4
opts="repack,repacksuffix=+dfsg,uversionmangle=s%\.alpha%~alpha%,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/GENtle-persons/gentle-m/tags (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
