## gentle 1.9.5~alpha2+dfsg1

=== debian/changelog ===
gentle (1.9.5~alpha2+dfsg1-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: uses mysql_config and the build architecture pkg-config
    Closes: #1107615

  [ Andreas Tille ]
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entry 1.9+cvs20100605+dfsg1-11.
  * d/copyright: use only DEP5 fields

 -- Andreas Tille <tille@debian.org>  Tue, 09 Dec 2025 17:09:40 +0100

gentle (1.9.5~alpha2+dfsg1-2) unstable; urgency=medium

  * Team upload
  * gcc-14-32-bit.patch: new: fix build failure on 32-bit architectures.

 -- Étienne Mollier <emollier@debian.org>  Fri, 11 Oct 2024 10:56:26 +0200

gentle (1.9.5~alpha2+dfsg1-1) unstable; urgency=medium

  * documentation - finally decided not to redistribute GFDLed
    docs/manual.adoc and all associated images to circumvent
    license discussion (thanks to Étienne Mollier for spotting that).
  * d/control: Added constraint on wxWidgets >= 3.2.5
    because of https web access.

 -- Steffen Moeller <moeller@debian.org>  Sun, 22 Sep 2024 11:36:57 +0200

gentle (1.9.5~alpha2+dfsg-1) UNRELEASED; urgency=medium

  * Alignments are working (Closes: #732691)
  * Web-access to NCBI resources now via https are working.
  * d/control:
    - bumped policy version
    - improved description
  * d/u/metadata: Added ref to bio.tools
  * updated patches, copyright and lintian overrides
    to new upstream source structure
  * documentation
    - transitioned to asciidoc shipping with source tree
    - removed German documentation.
  * first autotests
  * added lintian overrides
  * updated man page

 -- Steffen Moeller <moeller@debian.org>  Thu, 05 Sep 2024 12:02:48 +0200
