=== debian/control ===
Source: gentle
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               default-libmysqlclient-dev,
               libsqlite3-dev,
               libtinyxml-dev,
               libwxgtk3.2-dev (>= 3.2.5),
               pkgconf,
               libgtest-dev <!nocheck>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/gentle
Vcs-Git: https://salsa.debian.org/med-team/gentle.git
Homepage: http://gentle.magnusmanske.de
Rules-Requires-Root: no

Package: gentle
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: clustalw
Suggests: xdg-utils
Description: suite for molecular cloning and sequence analysis
 GENtle is an open-source tool designed to facilitate molecular cloning,
 DNA/RNA sequence analysis, and plasmid design. It provides an intuitive
 graphical interface for visualizing and editing nucleotide sequences,
 creating and managing cloning projects, and simulating restriction
 digests. GENtle supports multiple formats for sequence import/export
 and includes features for primer design, sequence alignment,
 and annotation, sequencer data import, calculators, gel image display,
 PCR, and much more.

# Pending license change of docs/manual.adoc
#Build-Depends-Indep: asciidoctor, ruby-asciidoctor-pdf
