=== debian/watch ===
Version: 5

Template: Github
Owner: GENtle-persons
Project: gentle-m
Repack-Suffix: +dfsg
Uversion-Mangle: s%\.alpha%~alpha%
Dversion-Mangle: auto
